GNU bug report logs - #59120
29.0.50; [package-vc] Nowhere to find package-vc-archive-spec-alist

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Yuan Fu <casouri@HIDDEN>; dated Tue, 8 Nov 2022 09:53:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59120 <at> debbugs.gnu.org:


Received: (at 59120) by debbugs.gnu.org; 15 Nov 2022 18:58:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 13:58:18 2022
Received: from localhost ([127.0.0.1]:55258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ov18T-0005Ah-S3
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 13:58:18 -0500
Received: from mout02.posteo.de ([185.67.36.66]:39421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ov18R-0005AS-Rh
 for 59120 <at> debbugs.gnu.org; Tue, 15 Nov 2022 13:58:16 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id C9F8B240103
 for <59120 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 19:58:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668538689; bh=KJGyzKJtT1vQ4TpDCqqJIL9olwXMt6iX5gTw+6U9R6U=;
 h=From:To:Cc:Subject:Date:From;
 b=PpuWaAPQGLStsdqI4oU+ak0dEAdJe8Ib5b5WQ9PLt43mjnSqmim5ga8yT/1m6zt8X
 bDGm/eI99tu0OGW1Em9ZGGlg5bLQFcAEbU59L/8/qwKx8ft2r1BgRxYaDfWpJag+up
 WEmw2PSoWpkLQ2NLbSCLnKiXCa4HAmI3lxECD/SXiyOQqzQ0VfTovbMOmUcvBmpmFU
 xz7Y8em6ByJjGSRGVqdUhXiKHieuM67hGHHD4Sz0a1lNaEOMHTFW5br1VassomdKU0
 gZaRrVza4+UOH5HH6Vr9kUQAHSG7HOD+eY4JyycCDza+VjW2kWv1YoRB9DkzDtmFlG
 Gg4VvqwVUxz5Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NBb6T1Nnbz9rxG;
 Tue, 15 Nov 2022 19:58:08 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Yuan Fu <casouri@HIDDEN>
Subject: Re: bug#59120: 29.0.50; [package-vc] Nowhere to find
 package-vc-archive-spec-alist
In-Reply-To: <C9741558-DCAB-43CA-8698-EF607626B79A@HIDDEN> (Yuan Fu's
 message of "Tue, 15 Nov 2022 10:29:47 -0800")
References: <60289282-1604-4239-BB4F-0D46F06CA39F@HIDDEN>
 <87cz9p3hcg.fsf@HIDDEN>
 <C9741558-DCAB-43CA-8698-EF607626B79A@HIDDEN>
Date: Tue, 15 Nov 2022 18:58:08 +0000
Message-ID: <87mt8s59kv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59120
Cc: 59120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Yuan Fu <casouri@HIDDEN> writes:

>>> More over, it would be nice if the documentation of package-vc-install
>>> (docstring or manual) can explain how do I specify the branch when
>>> Using package-vc-install. From what I can see you can only specify the =
url
>>> and revision.
>>=20
>> There is no explicit way to do this right now, besides switching to a
>> different branch after checking out the repository.
>>=20
>> The only other thing you can do is provide a package specification, as
>> documented in `package-vc-selected-packages'.  That has a :branch
>> property.
>
> I wonder if I can define my own package archive, so that I can control
> everything easily, without setting up a full-blown archive with
> tarballs and a server. Because I=E2=80=99m not going to download any tarb=
alls
> from the archive, and will only use package-vc-install on this
> personal archive. IOW a package archive that only provide package
> specs. Is that possible?

It should possible, you would have an empty archive-contents and an
elpa-packages.eld file containing all the specifications.  I haven't
tried it out though, so something might be broken -- but nothing that
can't be fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59120; Package emacs. Full text available.

Message received at 59120 <at> debbugs.gnu.org:


Received: (at 59120) by debbugs.gnu.org; 15 Nov 2022 18:29:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 13:29:59 2022
Received: from localhost ([127.0.0.1]:55221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ov0h4-0004Pt-Ul
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 13:29:59 -0500
Received: from mail-pf1-f178.google.com ([209.85.210.178]:44658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1ov0h1-0004Pg-Vd
 for 59120 <at> debbugs.gnu.org; Tue, 15 Nov 2022 13:29:57 -0500
Received: by mail-pf1-f178.google.com with SMTP id c203so3751590pfc.11
 for <59120 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 10:29:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=airt2oM7sXE5sa4OsYfxgky/iAB6b3RFzwKy1STyb/4=;
 b=lPGQn0xSB1YpOcY2kaKx/RPTD4s3fSuabPE3RRQqd0e/7lTNYn3bToPuG0ReGH+xKv
 F+JFbhKBsVVe32hK78Q152yizF/iCif0IQ6KrbYlXTekiILa1VFYPXFCPgofehuDgDDs
 B23UsKS4qfcK8/HcvUpWhzfLSz9lP4NaJrtEMjRjQIFreeEyeg9RohFIjwBKtxkVo765
 Trus+YGU0W9c7+itArW6gpGxKP2pYVE8ZyoCS3uBPnnRIPc+xdWsVBxKspFH4i3MCyhE
 gPbU6b1oSbKeeVO6DqcVKAi3GvVEoLNgK0LJBzVHP/5piSya7pprBOxf40AQX5egU85Z
 5Fwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=airt2oM7sXE5sa4OsYfxgky/iAB6b3RFzwKy1STyb/4=;
 b=LB1YHJUPJil24kaP6H51qGM0nzKQBzysDZmbP5RMUCNI4+ZNVx4qXe1CC2DmXtSqzu
 /7ZN/dAGk6GlwrhMLAEDSVCd1vrQol7ocy+le8bMvWCZA1oTAyysvp8MmFsayEZFjE6m
 96Bt2z0DDq6+fxa04FD8NgDmfUCNKURtCH8KPN/yDiYuDl2L3d9AdMtKVnjOSMgeaOyz
 IjPl4X5fsN9X42DUcVHn05Sh1C6lpVX9SJnNFrMmQirL/1GgEzUUrsJmwZQnrfVdPfC/
 SKzIlKeuqauKn9Gissij5JUi8FrUmKd4oO3KZDVYbADJjzvjE6telflGYxqOYco1Svag
 eSBw==
X-Gm-Message-State: ANoB5pllZRX/qCqEj5h//fUDFlKz7aheuOI/9oisfVtVwEnX2+02lJ20
 DnvWfLFghaKUbgVOgNHlUYo=
X-Google-Smtp-Source: AA0mqf7erJeYeW+5Q0D9J/xeHWviWFVsDHp+1XBvTQR9Q1rztDHaaJj39X2BRQ/SRyYCLP52xP5YPg==
X-Received: by 2002:a63:592:0:b0:43c:7817:3476 with SMTP id
 140-20020a630592000000b0043c78173476mr16127851pgf.503.1668536988798; 
 Tue, 15 Nov 2022 10:29:48 -0800 (PST)
Received: from smtpclient.apple (cpe-172-117-161-177.socal.res.rr.com.
 [172.117.161.177]) by smtp.gmail.com with ESMTPSA id
 u7-20020a170902e5c700b0017f92246e4dsm10315299plf.181.2022.11.15.10.29.48
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 15 Nov 2022 10:29:48 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.120.41.1.1\))
Subject: Re: bug#59120: 29.0.50; [package-vc] Nowhere to find
 package-vc-archive-spec-alist
From: Yuan Fu <casouri@HIDDEN>
In-Reply-To: <87cz9p3hcg.fsf@HIDDEN>
Date: Tue, 15 Nov 2022 10:29:47 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <C9741558-DCAB-43CA-8698-EF607626B79A@HIDDEN>
References: <60289282-1604-4239-BB4F-0D46F06CA39F@HIDDEN>
 <87cz9p3hcg.fsf@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
X-Mailer: Apple Mail (2.3696.120.41.1.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59120
Cc: 59120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



> On Nov 14, 2022, at 3:28 AM, Philip Kaludercic <philipk@HIDDEN> =
wrote:
>=20
> Yuan Fu <casouri@HIDDEN> writes:
>=20
>> I=E2=80=99m happily trying out package-vc and hoping it can replace=20=

>> my home-brew install-from-source package!
>> The docstring of package-vc-selected-packages mentions
>> package-vc-archive-spec-alist but I can=E2=80=99t seem to find it =
anywhere.
>=20
> I have been preparing a few changes on scratch/package-vc-fixes, I
> believe that the issues you mention have been resolved there.

Great!

>=20
>> More over, it would be nice if the documentation of =
package-vc-install
>> (docstring or manual) can explain how do I specify the branch when
>> Using package-vc-install. =46rom what I can see you can only specify =
the url
>> and revision.
>=20
> There is no explicit way to do this right now, besides switching to a
> different branch after checking out the repository.
>=20
> The only other thing you can do is provide a package specification, as
> documented in `package-vc-selected-packages'.  That has a :branch
> property.

I wonder if I can define my own package archive, so that I can control =
everything easily, without setting up a full-blown archive with tarballs =
and a server. Because I=E2=80=99m not going to download any tarballs =
from the archive, and will only use package-vc-install on this personal =
archive. IOW a package archive that only provide package specs. Is that =
possible?

>=20
> Yuan Fu <casouri@HIDDEN> writes:
>=20
>> CC Phillip since he probably didn=E2=80=99t see this.
>=20
> You are right, sorry about that.

No worries, I should=E2=80=99ve CC you from the very beginning :-)

Yuan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59120; Package emacs. Full text available.

Message received at 59120 <at> debbugs.gnu.org:


Received: (at 59120) by debbugs.gnu.org; 14 Nov 2022 11:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 14 06:28:58 2022
Received: from localhost ([127.0.0.1]:49031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouXe6-0007Cy-Dk
	for submit <at> debbugs.gnu.org; Mon, 14 Nov 2022 06:28:58 -0500
Received: from mout01.posteo.de ([185.67.36.65]:34725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ouXe4-0007Ca-L0
 for 59120 <at> debbugs.gnu.org; Mon, 14 Nov 2022 06:28:57 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 1BD83240028
 for <59120 <at> debbugs.gnu.org>; Mon, 14 Nov 2022 12:28:49 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668425330; bh=ksfgZHGFdo6df8Sfm3cQaQdrzCd+Fq0dOIaV5i+gi60=;
 h=From:To:Cc:Subject:Date:From;
 b=QyX+gohNtQxnOhFPAJ51t0+uQMIrs+i8FIeoPTNicrFdYRs2TUFzgSDu3cghuvQFD
 0pHDOMg3NBXTQgGgWDOpCwJwu85bA59kgKcmWhIJCS/5atRxBJPIGttMunvWhsTWYw
 twyn1A/PWslj6NLhpg3b5d3ExlLAwU0uwGVP+V3a/t9MH2GjgUZRqd388mFhM0IGbJ
 vRbb5muvuUnS75bdZx+qIDa9jb2WT8ftHMx0EMVLTu+FzfeCpV7UAx3EXwMTiXibTB
 v1B/boXHu0RH6hQ057/ZOZn8PrwcDUQUkXS+fluN5ejCZHSba5RhJiJVk6uybV2GgX
 mPvgx1tedmNmQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4N9nBT2ycsz9rxG;
 Mon, 14 Nov 2022 12:28:48 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Yuan Fu <casouri@HIDDEN>
Subject: Re: bug#59120: 29.0.50; [package-vc] Nowhere to find
 package-vc-archive-spec-alist
In-Reply-To: <60289282-1604-4239-BB4F-0D46F06CA39F@HIDDEN> (Yuan Fu's
 message of "Tue, 8 Nov 2022 01:51:54 -0800")
References: <60289282-1604-4239-BB4F-0D46F06CA39F@HIDDEN>
Date: Mon, 14 Nov 2022 11:28:47 +0000
Message-ID: <87cz9p3hcg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59120
Cc: 59120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Yuan Fu <casouri@HIDDEN> writes:

> I=E2=80=99m happily trying out package-vc and hoping it can replace=20
> my home-brew install-from-source package!
> The docstring of package-vc-selected-packages mentions
> package-vc-archive-spec-alist but I can=E2=80=99t seem to find it anywher=
e.

I have been preparing a few changes on scratch/package-vc-fixes, I
believe that the issues you mention have been resolved there.

> More over, it would be nice if the documentation of package-vc-install
> (docstring or manual) can explain how do I specify the branch when
> Using package-vc-install. From what I can see you can only specify the url
> and revision.

There is no explicit way to do this right now, besides switching to a
different branch after checking out the repository.

The only other thing you can do is provide a package specification, as
documented in `package-vc-selected-packages'.  That has a :branch
property.

Yuan Fu <casouri@HIDDEN> writes:

> CC Phillip since he probably didn=E2=80=99t see this.

You are right, sorry about that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59120; Package emacs. Full text available.

Message received at 59120 <at> debbugs.gnu.org:


Received: (at 59120) by debbugs.gnu.org; 14 Nov 2022 09:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 14 04:18:58 2022
Received: from localhost ([127.0.0.1]:48920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouVcI-0003lK-A9
	for submit <at> debbugs.gnu.org; Mon, 14 Nov 2022 04:18:58 -0500
Received: from mail-pj1-f44.google.com ([209.85.216.44]:35388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1ouVcG-0003l6-1y
 for 59120 <at> debbugs.gnu.org; Mon, 14 Nov 2022 04:18:57 -0500
Received: by mail-pj1-f44.google.com with SMTP id
 m14-20020a17090a3f8e00b00212dab39bcdso13222786pjc.0
 for <59120 <at> debbugs.gnu.org>; Mon, 14 Nov 2022 01:18:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=aMWskmTmp2MG8fK4sN3XUvBX/WiARPORjBLV6VfEA9Y=;
 b=eMBEtLJjb5hotcPscnVc/+ID45Up8WJdZzQ9wQwU17RBh+JtjvapCIUbW1hG6Lusgp
 2y/5l8wke5ZtmeFuzWtS7nglsUYytCdSjlLjr7d7VY176Q55vcD9yI5xhXwTsIZHcuVd
 TOwrcpjXNzxnc90s5qexI+l84FA9LEjjxntfZrDvluN5SAJxvPjeYzSfhjUcp6X/oqDg
 BCJB54C8UdE8icUinZmt2qQ9jqRRNAA9FQ2bhIiFCCj3m62OLFnpkdA2PRmaBK34pYkM
 JsT+4W5W//Cea9t3vx56+BVZUvUBc1Ct9C0wEJmAAx0Ukre7CCjnh7cDUpDN2YIuJRZf
 CAYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=aMWskmTmp2MG8fK4sN3XUvBX/WiARPORjBLV6VfEA9Y=;
 b=aNJw2E26iTlqpJScy7dVs+lZqmydFZhH9gccK7+keo267DZDno7qh7W+2bWCKbkZNY
 EZlJ6s6mRxOVwA+mlmUWFeQ7ktav6Z296Laq9QNxBly6IAe9trNHTNtQUGBglRla6ya2
 EOEW8QUzI3oMTbrQ83h/k5CDeQUiaQu/y/J68MMa+P0RZTh4JSEGC+E4oLLG227597y+
 FWkDpUztXDYjlWlTfDj+erUz2TZy/aKNqNAmjXunHwRvh8qNsRanC866awp+fmLny9NM
 NENLkgJ5fzEnQQSTm77vhevKALku5ZljtAy6ep4YoL6NkTc7cvXTN9xEAhFcltyWTbBe
 BsAA==
X-Gm-Message-State: ANoB5plKaCUrzucHrbaXc1oSW7+mtSVSJEtoZT9ptWzxQ6f3v2qjkl6o
 yUG2/FI+js8uaRu1icTLlc+6IfN97S4=
X-Google-Smtp-Source: AA0mqf5PTELyx3E6d3LVmeeeYCrKZ3NP8irP2hmOlGTrG+jvyFPYFSfvXkOPd32UFYyJ+CiRh1HShw==
X-Received: by 2002:a17:90a:19e:b0:212:f2b7:2282 with SMTP id
 30-20020a17090a019e00b00212f2b72282mr13168572pjc.48.1668417530260; 
 Mon, 14 Nov 2022 01:18:50 -0800 (PST)
Received: from smtpclient.apple (cpe-172-117-161-177.socal.res.rr.com.
 [172.117.161.177]) by smtp.gmail.com with ESMTPSA id
 x13-20020a63f70d000000b0046f469a2661sm5418377pgh.27.2022.11.14.01.18.49
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 14 Nov 2022 01:18:49 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.120.41.1.1\))
Subject: Re: bug#59120: 29.0.50; [package-vc] Nowhere to find
 package-vc-archive-spec-alist
From: Yuan Fu <casouri@HIDDEN>
In-Reply-To: <60289282-1604-4239-BB4F-0D46F06CA39F@HIDDEN>
Date: Mon, 14 Nov 2022 01:18:48 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <4F357945-87AF-444C-A61F-611CDBB069A2@HIDDEN>
References: <60289282-1604-4239-BB4F-0D46F06CA39F@HIDDEN>
To: 59120 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3696.120.41.1.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59120
Cc: Philip Kaludercic <philipk@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

CC Phillip since he probably didn=E2=80=99t see this.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59120; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2022 09:52:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 04:52:05 2022
Received: from localhost ([127.0.0.1]:36330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osLH2-0002o5-Ag
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 04:52:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:49048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1osLH0-0002nw-Qj
 for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 04:52:03 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <casouri@HIDDEN>) id 1osLH0-0006nZ-LN
 for bug-gnu-emacs@HIDDEN; Tue, 08 Nov 2022 04:52:02 -0500
Received: from mail-pj1-x1031.google.com ([2607:f8b0:4864:20::1031])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <casouri@HIDDEN>) id 1osLGy-0000cJ-IY
 for bug-gnu-emacs@HIDDEN; Tue, 08 Nov 2022 04:52:02 -0500
Received: by mail-pj1-x1031.google.com with SMTP id k5so13289158pjo.5
 for <bug-gnu-emacs@HIDDEN>; Tue, 08 Nov 2022 01:51:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:date:message-id:subject:mime-version:content-transfer-encoding
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=dn+e1BuT0nWV9yPSXdWyIsqwlQt5sYZIn9WmB5+ckJ0=;
 b=U9OHO1ie/v6qiUQkP70voiJllLzUEQGOwO4aW3C3cb04ppl17GSnx4pSz7d/mBMO39
 7nqQC7Z94vA8nyeSlf2JmInM2UP6nViNWdi0sNADjmo6YkVQfJ/GlUbjxezsV+plOc6h
 nnhetYAUORg6s/YuXig1eaucEWiTRvzn4j76ugockPGRpxk/jzHOX0QVhRuhxSCpBZcg
 XyYKmd1r5wYpO3J3ep82m3JS0dxrQsBrrJcQmSwArQ9HOLcCtVMqPo1vwvnnuhnQeb62
 1al3ovUND/I3kvyWWYyYc6DLI41VzNjNR1zoE15yJCdLgutTLDJ/7dL+vhoyzHOCbjDC
 K3jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:date:message-id:subject:mime-version:content-transfer-encoding
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=dn+e1BuT0nWV9yPSXdWyIsqwlQt5sYZIn9WmB5+ckJ0=;
 b=ZQmiZNibF89twDlEsMlEF2nLSIlt47W5RAEi5bCbwSmsDoq2Oqql+mX4JJcu53tjjL
 R2LpAs7TmQXClVxEQh1+0ue2+Uydqk/VewPJi41lBl/SfazOjJ3MwlNpyUxeDHwwm/8O
 Yu8+z24Uu5nSQ+e9Dd9NkS4HRGmpWJDB0EgZ70btttYDlEQMXb4Wf6hveiw5Egec3zsL
 HPE+aRmiGH5qToQgoBHrSaIcveFMu+skrz6vyu9YtXNFhxLos893k8mETt0P5grZRY4K
 YEVGYXhM/aZkQuEXZVZkH0WBKLhSbz9iNWwPB+j6yht9va3Nwk6wQKzysx+Xvzde5Kq2
 Qn3g==
X-Gm-Message-State: ACrzQf0wvxrLSwoYEFAqQFase8xuy8vaWCsUHdpw5O6/CqW/1nGZpdFR
 Yw+xiRRpoen8s8G9/mDNnTACgqKr3Zs=
X-Google-Smtp-Source: AMsMyM7QA9YQhKVZMnTi6qr9FRxYf5ULzsSGSewIPblYNhgKqvG9HXblWdDCl6GeFjKyA6ZayErivw==
X-Received: by 2002:a17:903:1209:b0:179:d027:66e6 with SMTP id
 l9-20020a170903120900b00179d02766e6mr56251848plh.67.1667901118381; 
 Tue, 08 Nov 2022 01:51:58 -0800 (PST)
Received: from smtpclient.apple (cpe-172-117-161-177.socal.res.rr.com.
 [172.117.161.177]) by smtp.gmail.com with ESMTPSA id
 i9-20020a17090332c900b0017a09ebd1e2sm6527295plr.237.2022.11.08.01.51.57
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 08 Nov 2022 01:51:58 -0800 (PST)
From: Yuan Fu <casouri@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.120.41.1.1\))
Subject: 29.0.50; [package-vc] Nowhere to find package-vc-archive-spec-alist
Message-Id: <60289282-1604-4239-BB4F-0D46F06CA39F@HIDDEN>
Date: Tue, 8 Nov 2022 01:51:54 -0800
To: Bug Report Emacs <bug-gnu-emacs@HIDDEN>
X-Mailer: Apple Mail (2.3696.120.41.1.1)
Received-SPF: pass client-ip=2607:f8b0:4864:20::1031;
 envelope-from=casouri@HIDDEN; helo=mail-pj1-x1031.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


I=E2=80=99m happily trying out package-vc and hoping it can replace=20
my home-brew install-from-source package!
The docstring of package-vc-selected-packages mentions
package-vc-archive-spec-alist but I can=E2=80=99t seem to find it =
anywhere.

More over, it would be nice if the documentation of package-vc-install
(docstring or manual) can explain how do I specify the branch when
Using package-vc-install. =46rom what I can see you can only specify the =
url
and revision.


In GNU Emacs 29.0.50 (build 1, x86_64-apple-darwin21.6.0, NS
appkit-2113.60 Version 12.6 (Build 21G115)) of 2022-11-08 built on
Brown
Repository revision: 68e2a9cd92996dd55ff9599dc1bf99c70070cddb
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2113
System Description:  macOS 12.6

Configured using:
'configure --with-pdumper=3Dyes --with-ns'

Configured features:
ACL DBUS GLIB GNUTLS JSON LCMS2 LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER
PNG RSVG SQLITE3 THREADS TOOLKIT_SCROLL_BARS WEBP XIM ZLIB

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  bug-reference-prog-mode: t
  flymake-mode: t
  aggressive-indent-mode: t
  rainbow-delimiters-mode: t
  diff-hl-mode: t
  outline-minor-mode: t
  color-outline-mode: t
  ws-butler-mode: t
  after-save-mode: t
  company-mode: t
  flyspell-mode: t
  windmove-mode: t
  form-feed-mode: t
  selectrum-prescient-mode: t
  recentf-mode: t
  consult-binded-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  which-function-mode: t
  global-hl-todo-mode: t
  hl-todo-mode: t
  winner-mode: t
  global-highlight-parentheses-mode: t
  highlight-parentheses-mode: t
  which-key-mode: t
  selectrum-mode: t
  savehist-mode: t
  pixel-scroll-precision-mode: t
  minibuffer-electric-default-mode: t
  global-so-long-mode: t
  electric-pair-mode: t
  luna-key-override-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-quote-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  hs-minor-mode: t

Load-path shadows:
/Users/yuan/.emacs.d/elpa/ada-mode-7.1.8/gnat-core hides =
/Users/yuan/.emacs.d/elpa/wisi-3.1.8/gnat-core
/Users/yuan/.emacs.d/elpa/transient-20220918.2101/transient hides =
/Users/yuan/emacs-head/lisp/transient
/Users/yuan/.emacs.d/ranch/eglot/eglot hides =
/Users/yuan/emacs-head/lisp/progmodes/eglot

Features:
(shadow sort iimg quanjiao mail-extr emacsbug message yank-media puny
dired dired-loaddefs rfc822 mml mml-sec epa epg rfc6068 epg-config
gnus-util mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils wgrep ffap files-x grep misearch multi-isearch
bug-reference expand-region text-mode-expansions er-basic-expansions
expand-region-core advice expand-region-custom checkdoc magit-base
magit-section format-spec compat-27 compat-26 package-vc xdg lisp-mnt
ghelp ghelp-helpful helpful cc-langs cc-vars cc-defs trace info-look f
f-shortdoc shortdoc elisp-refs s dash ghelp-builtin derived vc-hg vc-bzr
vc-src vc-sccs vc-svn vc-cvs vc-rcs flymake-proc flymake compile comint
ansi-osc ansi-color warnings thingatpt aggressive-indent
rainbow-delimiters diff-hl log-view pcvs-util vc-dir ewoc vc noutline
outline color-outline hideshow ws-butler after-save project
company-dabbrev-code company-dabbrev company-files company-capf company
flyspell ispell server windmove add-log cl-print form-feed
exec-path-from-shell vc-git diff-mode vc-dispatcher cus-edit icons
pale-theme theme-util bibtex iso8601 time-date selectrum-prescient
prescient char-fold consult-selectrum selectrum crm recentf-ext consult
compat-28 recentf tree-widget wid-edit kmacro bookmark
text-property-search pp cl-extra yasnippet which-func imenu edebug debug
backtrace find-func minions hl-todo winner highlight-parentheses utility
pause which-key no-littering compat finder-inf git-link-autoloads
rime-autoloads popup-autoloads benchmark-init-autoloads
go-mode-autoloads helpful-autoloads elisp-refs-autoloads
rust-mode-autoloads protobuf-mode-autoloads buffer-move-autoloads
org-ref-autoloads avy-autoloads selectrum-prescient-autoloads
prescient-autoloads request-autoloads org-modern-autoloads
debbugs-autoloads selectrum-autoloads haskell-mode-autoloads
consult-autoloads hydra-autoloads toc-org-autoloads ox-pandoc-autoloads
no-littering-autoloads tab-bar-echo-area-autoloads annotate-autoloads
git-timemachine-autoloads magit-todos-autoloads esxml-autoloads
wisi-autoloads uniquify-files-autoloads web-mode-autoloads
vterm-autoloads rainbow-mode-autoloads company-autoloads
which-key-autoloads minions-autoloads aggressive-indent-autoloads
lsp-mode-autoloads markdown-mode-autoloads ht-autoloads
pcre2el-autoloads pollen-mode-autoloads keyfreq-autoloads
magit-patch-changelog-autoloads highlight-parentheses-autoloads
wgrep-autoloads flycheck-autoloads pkg-info-autoloads epl-autoloads
hl-todo-autoloads magit-autoloads git-commit-autoloads
with-editor-autoloads olivetti-autoloads diff-hl-autoloads
geiser-guile-autoloads geiser-impl help-fns radix-tree help-mode
geiser-custom geiser-base posframe-autoloads sly-autoloads
magit-section-autoloads geiser-autoloads transient-autoloads
ivy-autoloads rx lua-mode-autoloads keycast-autoloads async-autoloads
restclient-autoloads dired-rsync-autoloads yaml-mode-autoloads
citeproc-autoloads string-inflection-autoloads queue-autoloads
fish-mode-autoloads exec-path-from-shell-autoloads
bibtex-completion-autoloads biblio-autoloads biblio-core-autoloads
f-autoloads info dash-autoloads s-autoloads parsebib-autoloads kinsoku
savehist pixel-scroll cua-base ring minibuf-eldef so-long elec-pair
cus-load lunary luna-key easy-mmode luna-load-package pcase cowboy
luna-f package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie generate-lisp-file url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs password-cache json subr-x map byte-opt gv bytecomp
byte-compile url-vars cl-loaddefs cl-lib rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind kqueue cocoa ns lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 482185 442934)
(symbols 48 30025 10)
(strings 32 152678 72940)
(string-bytes 1 3867992)
(vectors 16 50203)
(vector-slots 8 1027008 420202)
(floats 8 351 1331)
(intervals 56 11992 11546)
(buffers 984 27))




Acknowledgement sent to Yuan Fu <casouri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59120; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 15 Nov 2022 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.